/**   
* @Title: RequestParameterForAlipay.java 
* @Package com.platform.request.json 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年9月8日 上午11:08:39 
* @version V1.0   
*/
package com.platform.request.json;

/** 
 * @ClassName: RequestParameterForAlipay 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年9月8日 上午11:08:39 
 *  
 */
public class RequestParameterForAlipay {
	private String app_id;//开发者ID
	private String method;//接口名称
	private String format;//参数格式，仅支持JSON
	private String charset;//请求使用的编码格式
	private String sign_type;//商户生成签名字符串所使用的签名算法类型，目前支持RSA2和RSA，推荐使用RSA2 
	private String sign;//商户请求参数的签名串
	private String timestamp;//发送请求的时间
	private String version;//调用的接口版本，固定为：1.0
	private String notify_url;//支付宝服务器主动通知商户服务器里指定的页面http/https路径
	private String app_auth_token;//详见应用授权概述
	public String getApp_id() {
		return app_id;
	}
	public void setApp_id(String app_id) {
		this.app_id = app_id;
	}
	public String getMethod() {
		return method;
	}
	public void setMethod(String method) {
		this.method = method;
	}
	public String getFormat() {
		return format;
	}
	public void setFormat(String format) {
		this.format = format;
	}
	public String getCharset() {
		return charset;
	}
	public void setCharset(String charset) {
		this.charset = charset;
	}
	public String getSign_type() {
		return sign_type;
	}
	public void setSign_type(String sign_type) {
		this.sign_type = sign_type;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getNotify_url() {
		return notify_url;
	}
	public void setNotify_url(String notify_url) {
		this.notify_url = notify_url;
	}
	public String getApp_auth_token() {
		return app_auth_token;
	}
	public void setApp_auth_token(String app_auth_token) {
		this.app_auth_token = app_auth_token;
	}
	
}
